/*
 *   This is a starter TADS source file.  This is a complete TADS game
 *   that you can compile and run.
 *   
 *   To compile this game in TADS Workbench, open the "Build" menu and
 *   select "Compile for Debugging."  To run the game, after compiling it,
 *   open the "Debug" menu and select "Go."
 *   
 *   This is the "advanced" starter game - it has only the minimum set of
 *   definitions needed for a working game.  If you would like some more
 *   examples, create a new game, and choose the "introductory" version
 *   when asked for the type of starter game to create.
 *   
 *   Copyright (c) 1999 by Michael J. Roberts.  Permission is granted to
 *   anyone to copy and use this file for any purpose.  
 */

/* use the HTML status line and prompts */
#define USE_HTML_STATUS
#define USE_HTML_PROMPT

/* include the standard TADS libraries */
#include <adv.t>
#include <std.t>

/* at game startup, turn on HTML mode */
replace commonInit: function
{
    /* display the special code sequence to turn on HTML recognition */
    "\H+";
}

/* starting location */
startroom: room
    sdesc = "Start Room"
    ldesc = "This is the starting room. "
;
